function [reconja, zyxlist] = convertdotsja(recon3d, nearestja, dotsHome, skeleton, numDots)

numframes = size(recon3d,1);

Rzo = makeRzo(dotsHome,skeleton); % see zero offset matrices in additional materials, Equation 16.
prevja = nearestja(1,:);
prevzyxlist = repmat([0 0 0],[1 22]);
for i=1:numframes
    disp(i)
    % see additional materials, Section 2 for details on converting marker
    % positions to joint angles.
    [reconja(i,:), zyxlist(i,:) ]= getja(recon3d(i,:), nearestja(i,:), prevja, prevzyxlist, dotsHome,Rzo,skeleton,numDots);
    reconja(i,1:3) = recon3d(i,(skeleton.PELVIS-1)*3+1:(skeleton.PELVIS-1)*3+3 );
    prevja = reconja(i,:); 
    prevzyxlist = zyxlist(i,:);
end
