function plotStickFigure2D(x,y,H,mk,clr)

if(~exist('mk'))
    mk = 'o';
end
if(~exist('clr'))
    clr = 'k';
end

plot(x,y, mk, 'MarkerSize', 5 , 'MarkerFaceColor','r');

grid on,
hold on,
for i = 1:length(H)
    for j = 1:length(H)
        if(H(i,j) == 1)
            plot([x(i) x(j)], [y(i) y(j)], [clr mk '-'], 'LineWidth', 3);
        end
    end
end

%plot(x,y,'r.', 'MarkerSize', 20);
xlabel('x-coordinate')
ylabel('y-coordinate')
%plot(x,y, mk, 'MarkerSize', 10, 'MarkerEdgeColor', 'k', 'LineWidth', 5, 'MarkerFaceColor','w');