% dots3d = Mx(3*N)
% dots2d = Mx(2*N)
% numDots = N
% camMatrix may be 2x3 or 3x3

function [dots2d] = project3d2d(dots3d, camMatrix, numDots)

if(size(dots3d,2)==(3*numDots))
    dots3d = dots3d';
end

% generate projection matrix, assuming orthographic camera
for i=1:numDots
   M((i-1)*2+1:(i-1)*2+2,(i-1)*3+1:(i-1)*3+3) = camMatrix(1:2,:);
end

dots2d = M*dots3d;

dots2d = dots2d';