function [newpose] = rotateinplane(currentpivot, currentpoint, pose, linkchain, R, skeleton)

% tpose = translated pose so that the current pivot is at the origin.
tpose = pose - repmat(pose(1,(currentpivot-1)*2+1:(currentpivot-1)*2+2),1,size(pose,2)/2);
children = find(linkchain(currentpivot,:));
% -- special case --
if (currentpivot == skeleton.BASENECK && currentpoint == skeleton.UPPERARML)
    children = find(linkchain(skeleton.BASENECKCL,:));
elseif (currentpivot == skeleton.BASENECK && currentpoint == skeleton.UPPERARMR)
    children = find(linkchain(skeleton.BASENECKCR,:));
end
% --
index = zeros(1,length(children)*2);
index(1:2:end) =(children-1)*2+1;
index(2:2:end) =(children-1)*2+2;

points = tpose(1,index);
newpoints = R(1:2,1:2)*(reshape(points,2,[]));

newpose = tpose;
newpose(1,index) = newpoints(:)';
newpose = newpose + repmat(pose(1,(currentpivot-1)*2+1:(currentpivot-1)*2+2),1,size(pose,2)/2);

