function [rmsanglediff, V,I] = findMatchDistance(framenum,jjtarget,d2d,H, skeleton)


pivotindex1 = [skeleton.UPPERARMR skeleton.LOWERARMR skeleton.UPPERARML skeleton.LOWERARML];
pointindex1 = [skeleton.LOWERARMR skeleton.HANDR skeleton.LOWERARML skeleton.HANDL];
pivotindex2 = [skeleton.UPPERLEGR skeleton.LOWERLEGR skeleton.UPPERLEGL skeleton.LOWERLEGL ];
pointindex2 = [skeleton.LOWERLEGR skeleton.FOOTR skeleton.LOWERLEGL skeleton.FOOTL ];
pivotindex = [pivotindex1, pivotindex2];
pointindex = [pointindex1, pointindex2];

%----
s = (pivotindex-1)*2+1; e = (pivotindex-1)*2+2;
pivot = [s',e'];
s = (pointindex-1)*2+1; e = (pointindex-1)*2+2;
point = [s',e'];
%----
N = size(pivot,1);
for hctr=1:N
    tca(hctr) = circleangle(jjtarget(1,pivot(hctr,:)), [jjtarget(1,point(hctr,:))]);
end
figure(1);
plotStickFigure2D(jjtarget(1,1:2:end),jjtarget(1,2:2:end),H,'o','r');
title(sprintf('drawn image# %d', framenum))
axis equal
%axis([0 640 0 480])
hold off
drawnow

for j = 1:size(d2d)
    for hctr=1:N
       ca = circleangle(d2d(j,pivot(hctr,:)), d2d(j,point(hctr,:))); 
       anglediff(hctr,j) = circlediff(tca(hctr),ca);
    
    end % hctr
end

rmsanglediff = sqrt(mean((anglediff.^2)));
[V,I] = sort(rmsanglediff);




