% p = 3x2 = [p1;p2;p3], where p1 is a 2d point and so on.
% p1 is the innermost point, p3 is the outer most point for the link
% hierarchy , e.g. p1=shoulder, p2 = elbow, p3 = wrist
% we want the angle between p2p1 and p2p3
function [theta] = internalAngle(p)

a = p(1,:) - p(2,:);
b = p(3,:) - p(2,:);
cosval = dot(a/norm(a),b/norm(b));
theta = acosd(cosval);
