% Rzo is a structure with zero offset matrices for every link.

function [Rzo] = makeRzo(dotsHome, skeleton)

rzoctr=1;
for chainctr=1:length(skeleton.kinematicchain)
    wRpelvis = eye(3);
    wRp = wRpelvis;
    kc = skeleton.kinematicchain{chainctr};
    for linkctr = 1:length(kc)-1

        mpA(1,:) = dotsHome(1, (kc(linkctr)-1)*3+1:(kc(linkctr)-1)*3+3 );
        mpB(1,:) = dotsHome(1, (kc(linkctr+1)-1)*3+1:(kc(linkctr+1)-1)*3+3 );
        abworld = [(mpB - mpA)/norm(mpB-mpA)]';
        abparent = wRp' * abworld;
        Rzo{rzoctr} = createZeroOffsetMatrix(abparent);
        
        rzoctr = rzoctr+1;
        
    end % link
    
end % chain