% weightmat is MxM identity in the simplest case.
% diagonal elements multiplied by w.
% can change diff diagonal elements here.
function [weightmat] = setweightsreg( M, w, skeleton)

weightmat = eye(M);
weightmat = weightmat * w;

% If you do not want to regularize upper body, uncomment the last line.
row = [ (skeleton.HEAD-1)*3+1:(skeleton.HEAD-1)*3+3 ...
        (skeleton.NECK-1)*3+1:(skeleton.NECK-1)*3+3 ...
        (skeleton.UPPERBACK-1)*3+1:(skeleton.UPPERBACK-1)*3+3 ...
        (skeleton.LOWERBACK-1)*3+1:(skeleton.LOWERBACK-1)*3+3 ...
        (skeleton.UPPERARMR-1)*3+1:(skeleton.UPPERARMR-1)*3+3 ...
        (skeleton.LOWERARMR-1)*3+1:(skeleton.LOWERARMR-1)*3+3 ...
        (skeleton.HANDR-1)*3+1:(skeleton.HANDR-1)*3+3 ...
        (skeleton.UPPERARML-1)*3+1:(skeleton.UPPERARML-1)*3+3 ...
        (skeleton.LOWERARML-1)*3+1:(skeleton.LOWERARML-1)*3+3 ...
        (skeleton.HANDL-1)*3+1:(skeleton.HANDL-1)*3+3 ]; 
% -----
col = row;
ind = sub2ind([M M],row,col);
%weightmat(ind) = 0;


